Last seen

Returns the most recent Tive data point for a shipment. Scoped to the caller’s organization. | authz: min_org_role=operator | () -> (TiveDataPoint1 | None)

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

tive_shipment_idstringRequired

Response

Successful Response
schema_versioninteger
timestampdatetime
metadataobject
locationobject

GeoJSON Feature with typed properties for locations

The geometry field is strongly typed as Geometry (union of all geometry types) but remains optional to match the base Feature class specification. To ensure geometry is always present, validate it at runtime or make it required.

_idstring
temperature_fdouble
humiditydouble
acceleration_gdouble
acceleration_xdouble
acceleration_ydouble
acceleration_zdouble
lightdouble
motioninteger
batteryinteger
location_methodstring
process_timedatetime

Errors

422
Timeseries Last Seen V1request Unprocessable Entity Error